Version française
Home     About     Download     Resources     Contact us    
Browse thread
Re: Porting caml (and coq) to HP/UX.
[ Home ] [ Index: by date | by threads ]
[ Search: ]

[ Message by date: previous | next ] [ Message in thread: previous | next ] [ Thread: previous | next ]
Date: -- (:)
From: emmanuel@d...
Subject: Re: Porting caml (and coq) to HP/UX.
[ Note du mode'rateur:
  Several people ask for a Caml V3.1 version on HP machines.
  The ports for HP used to be done by the LIENS at Ecole Normale
  Supe'rieure. That's why Emmanuel Chailloux tells us now what should
  be done for Caml V3.1 on HP machines.

  Pierre Weis.
]

Hello,

We have no plan to port the Caml V3.1 distribution to the HP9700 

(snake) for the following reasons :

first : We have not an HP-9700 computer at the LIENS (Laboratoire
        d'Informatique de l'Ecole Normale Superieure).

second : Caml V3.1 uses the Le_Lisp V15.2x runtime, but
         this Le_Lisp version doesn't exist for the snake. Only
         the GELL version of Le_Lisp runs for the HP9700. This
         version translates directly the instructions of the 
         abstract machine to C code. It doesn't use the dynamic 
 	 loader  of the Le_Lisp V15.2x, which is necessary for Caml.

third : The Caml-light 0.5 distribution has been tested on 
	the HP9700.

In conclusion, porting Caml V3.1 to the snake is not a trivial 
work, because it is necessary to port Le_Lisp 15.2x (an old version)
to the snake, and to modify the dynamic loader because Caml uses an  
hacked version of this loader. And because Caml-light exists for the  
snake, may be it is easier to port Coq to Caml-light (Coq-light)   
than to port Caml V3.1 to the HP9700.

Emmanuel Chailloux...